/*
 * videodirtools.h: tools for videodirlinked.c
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __VIDEODIRTOOLS_H
#define __VIDEODIRTOOLS_H
#include <vdr/config.h>

#if (APIVERSNUM >= 20102)
 
class cLinkWalker {
private:
  char *name, *name_stored, *filename_adjusted, *linksave_filename; //name... is a VideoDirectory
  const char **p_linksave_filename;
  int length, number, digits;
 
public:
  cLinkWalker(void);
  ~cLinkWalker();
  bool Next(void);
  const char *Name(void);
  const char *NameStored(void);
  void Clear(void);
  void Store(void);
  const char *Adjust(const char *FileName);
  const char *LinksaveName(void);
};


class cLastExistingDir {
private:
  char *name;
public:
  cLastExistingDir(const char *FileName);
  ~cLastExistingDir();
  const char *Name(void);
};

int ContainsSymlinks(const char *Directory);

#endif

#endif //__VIDEODIRTOOLS
